<BASE HREF="/users/specif/dubois/JFLA2000/SOUMISSIONS/3/formulaire.html">

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
          "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

<HEAD>
<TITLE>JFLA 2000</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF">

<H1 ALIGN=CENTER>JFLA 2000 : relecture du papier 3</H1>

<P>Numéro du papier : 3
<P>Titre du papier : Traitement paresseux et optimisation des suites
numériques, 
<P>Auteurs : Jerzy Karczmarczuk 

<P>Nom du rapporteur : Valérie Ménissier-Morain

<P>Confiance en la note : 3
<!-- 1 : je n'ai pas compris car ce n'est pas mon domaine.
     2 : j'ai compris, mais je ne domine pas le sujet.
     3 : j'ai tout compris car c'est mon domaine. -->

<P>Notation du papier: 3,5
<!-- 1 : à rejeter; 2 : inintéressant; 3 : acceptable;
     4 : bon papier; 5: très bon papier -->
<P>
<hr>

<P>Commentaires aux auteurs :<P>
L'idée, sans être exceptionnelle, me semble intéressante à développer
et trouve un cadre naturel de présentation à JFLA. On en voit les
limites, par exemple la représentation de la méthode d'intégration des
trapèzes est compliquée, non naturelle et dépourvue de l'élégance
visée par cette approche. <P>

La qualité rédactionnelle du papier est très moyenne. De très
nombreuses remarques, visant à corriger les défauts les plus criants,
seront faites en ce sens à la fin de ce commentaire. <P>

<P>Quelques remarques en vrac :<P>
<ul>
<li> il est naturel d'utiliser Haskell lorsqu'on a besoin d'évaluation
paresseuse, mais il n'est pas nécessaire de faire étalage de mépris à
l'égard des autres langages fonctionnels, surtout lors d'une
conférence où la communauté Haskell est fort peu représentée. Il n'est
pas très agréable lors d'un exposé (puisque vous pensez déjà à
l'exposé que vous ferez!) de poser en préambule « chers auditeurs,
vous êtes des imbéciles, vous utilisez un autre langage fonctionnel
que le plus merveilleux de tous, celui que MOI j'utilise ! ». 

<li> dans la même veine, parler de fonctionnelles classiques est bien,
mais sans supposer forcément que leur nom est universel : par exemple
<TT>zipWith</TT> ne porte pas systématiquement ce nom (map2 en
Caml), etc. De même, <TT>flip</TT> n'est pas forcément connu. 

<li> dans un papier en français, on s'attend à ce que vous citiez des
livres d'analyse en français ou au moins internationalement connus. De
plus ici, on s'attendrait à ce que vos références soient plus
anciennes : il serait naturel, à côté d'ouvrages plus modernes et
aisément trouvables dans une bibliothèque de faible envergure, de
remonter aux premiers ouvrages mentionnant la notion de suite (et ils
seraient naturellement en français puisqu'à l'époque c'était la langue
universelle des mathématiques).

<li> vous vous appesantissez sur le début qui est une mise en jambes
facile, puis vous sautez des étapes importantes pour la compréhension
de la représentation des algorithmes dès que vous passez aux choses
sérieuses. 

<li> il serait bien que vous introduisiez une bonne fois pour toute votre
vocabulaire dans une petite section préliminaire (différences
discrètes, différences symétriques, sommes partielles, etc.). 
</ul>

<P>Remarques de rédaction et typos :<P>
<ul>
<li> fin du résumé : « Les exemples présentés ici sont simples, sans être
élémentaires ».

<li> section 1, premier paragraphe : « pollué » trop agressif. De plus,
cette présentation (suite indexée / suite récursive ou itérative) date
de bien avant l'informatique, alors que vous donnez l'impression que
ce sont les débuts de l'informatique avec la programmation impérative
grande utilisatrice de tableaux qui a conduit à cette
présentation. Tel que vous le dites, cette approche ne serait jamais
naturelle, mais résulterait d'un effort certain, plus ou moins
conscient, du mathématicien pour décrire la suite considérée en ces
termes. 

<li> page 2, au milieu de page « publié dans » plutôt que « publié
ailleurs: ». Juste après « difficiles à gèrer » plutôt que «
difficiles de gèrer ». Paragraphe suivant, vous êtes partie sur une
phrase en français, ne vous interrompez pas pour « sqr », écrivez «
l'élévation au carré ». Coupez la phrase sur les groupes et les
modules en deux, la partie sur les modules gagnera en clarté. 

<li> « Note » et non « Notice » page 3 et par la suite. 

<li> note page 3, « approche actuelle » et non « actuel », « formalisme
identique » plutôt que « pareil », « sans ambition » et non « sans
ambitions ». 

<li> page 3, milieu de page « intégrés » et non « integrés ». 

<li> page 4, en France, on abrège plutôt « inv » que « recip » qui sonne
franchement américain. 

<li> page 4, milieu de page, « abrégées » plutôt que « abregées ». 

<li> page 5, première ligne : plutôt « Nous avons introduit une classe
utile, Module, ...». Qu'entendez-vous par « classe de constructeurs »
? Les autres classes ne servent-elles qu'à définir celle-ci ? Est-ce
en cela que seule celle-ci est utile ?

<li> page 5, « La multiplication des suites devient réellement plus
facile » : pourquoi? expliquez qu'on a coupé le problème ne deux étapes
plus élémentaires.

<li> page 5, milieu de page : la formule que vous donnez est assez
évidente. L'équation 2 ne montre pas « clairement »... Quel
vocabulaire ampoulé, revenez à la suite arithmétique simple et on s'en
convaincra beaucoup plus aisément, à moins que vous ne souhaitiez
absolument épater le lecteur avec des niaiseries. Le but de ce
paragraphe semble être de parler de l'élévation au carré et de la
division pour en terminer avec les propriétés arithmétiques, mais ce
n'est pas très apparent. Coupez le paragraphe en deux au changement
d'opération. Il me semble que c'est <TT>(A x^2 (A 2hx (Cs h^2)))</TT>
et non pas <TT>(A x^2 (A 2hx (Cs 2h^2)))</TT>.

<li> paragraphe suivant : « peuvent utiliser toujours l'application
standard, l'instance de la classe Functor pour les suites », on ne
vous suit pas du tout, on entrevoit un peu après, mais on ne comprend
même pas pourquoi vous mentionnez cela.

<li> pour le sinus, les choses commencent à se compliquer, donc il n'y
a pas du tout d'explication et le fait que le cosinus soit laissé au
lecteur semble de la provocation pure et simple avant d'avoir
décortiqué la représentation du sinus. La présenter en quelques mots :
le premier terme de la suite <I>sin(x+nh)</I> est
<I>sin(x)</I>, le deuxième est <I>sin(x+h)</I> et ensuite
on s'appuie sur la formule 
<DIV ALIGN=center>
<I>sin(x+nh)=2 cos(h) sin(x+(n-1)h) - sin(x+(n-2)h)</I>
</DIV>

<li> des formules telles que « Ceci n'est vraiment pas original » en
bas de la page 5 finissent par être agaçantes.

<li> attention au plan, vous avez une sous-section 2.1, mais pas de
sous-section 2.2

<li> avec les guillemets français, il y a un blanc après le guillemet
ouvrant et avant le guillemet fermant.

<li> première ligne section 3, « optimisations usuelles » plutôt.

<li> extrapolation d'Aitken : « Iterate dans ce domaine » commentaire
incompréhensible, <TT>sqiter</TT> est très difficile à
comprendre. Ce que j'ai compris : on démarre avec 1 et on applique
exp(-x) à ce premier terme et on itère. Il n'y a rien qui rappelle que
c'est une méthode classique pour trouver la racine d'une équation de
la forme <I>x=f(x)</I>

<li> processus de Wynn: ne pas mettre de « : » avant une référence
bibliographique, « seuls les termes d'indice pair » et non pas
« seulement les indices paires », « réflexion » et non pas « refléxion
», « Notre procédure ...» : même l'intuition n'en est pas évidente.

<li> je ne comprend pas pourquoi c'est <TT>(xfd (sqtl o))</TT> et non
pas <TT>(xfd o)</TT> comme pour <TT>e</TT>, pourquoi cette dissymétrie
dans la récurrence? Votre remarque « Le code sera peut-être ... »
éclaire effectivement la représentation fournie, mais donnez ces
explications avant au lieu de désespèrer le lecteur. Indiquez entre
parenthèses que <TT>e</TT> désigne la sous-séquence paire et
<TT>o</TT> la sous-séquence impaire, réécrivez votre formule écrite
avec des « epsilon » avec <TT>e</TT> et <TT>o</TT>, cela éclairera
encore davantage. Votre représentation est certes concise, voire
élégante, mais il me semble que de longues minutes sont nécessaires
pour la comprendre, compte tenu des explications que vous donnez
auparavant. Juste avant la formule aux « epsilon », « réécrite » au
lieu de « réecrite ».

<li> 3.3 première ligne : trouvez une expression plus française que «
solveur », même si on comprend ce que vous voulez dire.

<li> 3.3 deuxième ligne : « la précision, la stabilité et la
complexité générale » et non « la précision, stabilité, et complexité
générale ».

<li> 3.3 troisième ligne : couper à <I>a priori</I> et remplacer « et
pour » par « Par conséquent ». Ligne 4 : remplacer le « : » par une
virgule. 

<li> formule 6, indiquer que <I>t_{n+1}=t_n+h</I>. Vous avez permutez
les arguments de <I>f</I> dans votre représentation, « suffisamment»
au lieu de « suffisament ». Votre exemple et la remarque qui s'ensuit
semble sans intérêt ou alors mal expliqué.

<li> évaluation des fractions continues : cela ne fait pas très
sérieux sur un sujet tel que les fractions continues de ne citer en
référence que des « numerical recipes ». De plus la référence
originale au papier de Lenz est incomplète. Ne parlez pas d' 
« évaluation » des fractions continues, ce qui est dépourvu de
signification mathématique classique, mais plutôt de calcul de la
suite des réduites de la fraction continue. Indiquez que <I>f_n</I>
désigne justement cette <I>n</I>-ième réduite. Écrivez « La
spécification doit être complètée ... » et non pas « La spécification
complète doit être complètée ... » et « prévenir » au lieu de 
« prevenir ». Noter que <TT>b</TT> commence avec
<TT>b1</TT>. <TT>cfeval</TT> n'est pas si difficile que ça à lire et
comprendre, mais votre dispositif de sécurité me semble inutile sans
le code fourni ici, si vous souhaitez en parlez, mentionnez le à la
fin de la section. Pour juger de la justesse de <TT>tw</TT>, il faut
que vous indiquiez plus de termes dans votre formule pour <I>e^z</I>.

<li> intégration de Romberg, ligne 2 : « usuellement » au lieu de 
« normalement ». Ligne 3 : « on sait depuis longtemps » plutôt que
« depuis longtemps on sait ». Juste après la formule 9, « ce qui
élimine la contribution du terme \dzeta dans le développement
asymptotique de <I>I(h)</I> », « l'exposant principal <I>p</I> », 
« des termes restants » au lieu de « des termes restants ». La note
sur la formule de Simpson me paraît inutile. 

<li> « méthode des trapèzes » et non « méthode de trapèzes » en
français. 

<li> page 9 : « approximants » plutôt qu'« approximantes ». Dites
plutôt « d'approximants <I>h (f(a)/2+...+f_{n-1}+f(b)/2)</I> de
<I>\int_a^b f(x)dx</I> et précisez que <I>h=\frac{b-a}{n}</I> et
<I>f_i=f(a+ih)</I>. Dites plutôt « où <I>n</I> double à chaque
itération » si vous ne décidez pas carrément de remplacer <I>n</I> par
<I>2^k</I>.

<li>page 9, milieu de page : « ceci est un peu laid et compliqué »,
c'est peu dire! C'est beaucoup plus difficile à comprendre qu'une
représentation naïve. « raisonnable en comparaison avec ... » : quels
sont vos critères d'évaluation? « Naturellement - répétons-le » et non
« Naturellement - répétons ». Cette remarque sur le « lifting ... »
est beaucoup trop elliptique, même si en réfléchissant longuement on
finit par entrevoir ce que vous voulez dire. Il faut expliquer bien
davantage ce point difficile.

<li> 4.2, idem préciser <I>h=\frac{b-a}{n}</I>. Dire « inutile de
commencer à partir de <I>n=1</I> » plutôt que « inutile de partir avec
<I>n=1</I> ». « Dans (9), <I>p=2</I> », au lieu de « Dans (9) <I>p=2</I> ».
« comme tout ici » : soyez plus modeste, d'autant que vous contredisez
ici la remarque que vous avez faite sur la méthode des trapèzes. Quand
vous mentionnez que « la valeur initiale dec oit être égale à 4 »,
indiquez que le 4 qui intervient aussi dans votre représentation
<TT>rombg</TT> provient aussi du fait que <TT>4=2^p</TT> pour la suite
produite par la méthode des trapèzes. En ce qui concerne la dernière
phrase de la page 9, je ne suis pas vraiment d'accord. Pour avoir
regarder la méthode de Romberg de près, ce qui est difficile dans
cette méthode est le choix mathématique du test d'arrêt, mais vous ne
le traitez pas. « considéré comme difficile à comprendre et à
implanter » plutôt que « considéré difficile à comprendre et à coder ».

<li> La section 6 paraît déconnectée du reste et notamment je n'ai pas
compris la partie sur D. Je ne comprend pas le début de la
formule (11). Avant <TT>euler</TT>, « à la suite des coefficients » et
non « a la suite des coefficients ». Après <TT>sseq</TT>, 
« uniformément » et non « uniformement ».

<li> dans la conclusion, deuxième paragraphe : « de simples jouets »
et non « des simples jouets ». Il me semble que pour les physiciens et
ingénieurs des données co-récursives sont encore plus inacceptables
que des fonctions récursives. Quant au début du dernier paragraphe, ce
n'est rien de le dire!

<li> Bibliographie : référence de Lenz incomplète.

</ul>
<hr>
<P>Commentaires réservés au comité de programme :<P>

</BODY>
</HTML>

